Page MenuHomePhabricator

Template adaptation editor for block level templates
Closed, ResolvedPublic

Description

As per the designs provided in T143121: Support block template adaptation, develop a template adapation editor.

  1. When clicked on template at translation column, provide an editor which lists the params and values for both source and target template. At target template, the values are editable(rich text).
  2. Prefill the params whose mappings are identified using template data. Otherwise provide empty form fields.
  3. The editor wont be available for templates for which a target template does not exist in target language.
  4. After the editing, when the editor is closed, rerender the target template. This will require parsing with the help of restbase/parsoid

Nested level template editing can be done in second iteration

Event Timeline

santhosh created this task.Aug 31 2016, 5:23 AM
santhosh claimed this task.Sep 6 2016, 7:02 AM
santhosh moved this task from Backlog to In Progress on the Language-Q1-2016-17 Sprint 5 board.

Change 308559 had a related patch set uploaded (by Santhosh):
WIP: Block level template editor

https://gerrit.wikimedia.org/r/308559

Here is a set of critical test cases for this feature

11. Check the alignment of all placeholders
22. Add a paragraph with reference, see if references list at end of page is now automatically added. The templates in the reference list should get auto adapting to target wiki. Mainly {{Cite web}}, {{Cite Journal}} and such templates.
32.1. Clicking on reference links should work
42.2. MT card should work without any regressions
52.3. Saving should succeed
63. Add infobox.
73.1. Should have progress indicator
83.2 Template card should have template name
93.3 Unadaptable templates should have broken template icon
103.4 Adapt, skip, use source controls for template card should work.
113.5 While adapting the progress indicator should shown
123.6 Once adapted, the template should be rendered for the target wiki
133.7 Clicking on adapted template should open template editor.
143.8 Editing template param values and closing editor should trigger rerender with progress indicator.
153.9 Save should work.
163.10 At any re-rendering alignment should not fail
174. Publish should work.
185. Saving and restoring a translation with template should work

Change 308559 merged by jenkins-bot:
Templates: Editing support and adaptation controls

https://gerrit.wikimedia.org/r/308559

Arrbee closed this task as Resolved.Dec 6 2016, 7:17 AM
Arrbee moved this task from In Progress to Done on the Language-Q2-2016-17 Sprint 4 board.